> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/data-onboarding/supported-logs/vercel.md).

# Vercel 로그

## 개요

Panther가 수집하는 [Vercel](https://vercel.com/) HTTP 소스를 통해 감사 로그에 액세스하며, 이 HTTP 소스는 Vercel의 사용자 지정 SIEM 로그 스트리밍 기능으로 전달된 로그를 수신합니다. Vercel은 웹 애플리케이션을 구축하고 배포하는 플랫폼입니다.

Vercel 감사 로그는 프로젝트 및 배포 변경, 도메인 수정, 팀 멤버십 업데이트, 환경 변수 변경, 통합 이벤트를 포함한 팀 구성원 활동을 추적합니다.

## Panther에 Vercel 로그를 온보딩하는 방법

### 사전 요구 사항

* Vercel [엔터프라이즈 플랜](https://vercel.com/docs/plans/enterprise) (감사 로그 액세스에 필요)
* 해당 **Audit Logs** 그리고 **사용자 지정 SIEM 로그 스트리밍** Vercel의 권한
* Panther Console에서 HTTP 소스를 생성할 수 있는 권한

### 1단계: Panther에 새 Vercel 소스 만들기

1. Panther 콘솔의 왼쪽 탐색 표시줄에서 다음을 클릭합니다: **구성** > **로그 소스**.
2. 다음을 클릭합니다: **새로 만들기**.
3. Vercel"을 검색한 다음 해당 타일을 클릭합니다.
4. 다음을 클릭합니다: **설정 시작**.
5. 다음에서 **기본 정보**, 다음 필드를 입력합니다:
   1. 설명적인 **이름**, 예: `Vercel 감사 로그`.
   2. 해당 **로그 유형** 의 기본값은 `Vercel.Audit`.
6. 해당 **인증 방식** 는 다음 값으로 미리 채워집니다 **Bearer**.
   1. 다음 항목을 생성하세요 **Bearer 토큰** 그리고 안전한 위치에 저장하세요. 2단계에서 필요합니다.
7. 다음을 클릭합니다: **설정.**
   * 선택적으로 하나 이상의 디택션 팩을 활성화할 수 있습니다.
   * 해당 **이벤트가 처리되지 않을 때 알러트를 트리거** 설정의 기본값은 **YES**. 이 옵션은 활성화된 상태로 두는 것을 권장합니다. 일정 시간이 지난 후 로그 소스에서 데이터 흐름이 중단되면 알림을 받게 되기 때문입니다. 이 시간은 구성 가능하며 기본값은 24시간입니다.

HTTP 엔드포인트 생성이 완료될 때까지 다음 단계로 진행하지 마세요. HTTP 소스를 생성한 후 Panther Console에 다음 항목이 표시됩니다. **HTTP 소스 URL**. 이 값을 안전한 위치에 보관하세요. 2단계에서 필요합니다.

### 2단계: Vercel이 감사 로그를 Panther로 스트리밍하도록 구성하기

1. 다음 위치에서 [Vercel 대시보드](https://vercel.com/dashboard), 이동합니다 **팀 설정**.
2. 사이드바에서 다음을 엽니다 **보안 및 개인정보 보호** 그리고 아래로 스크롤하여 **감사 로그**.
3. 다음을 클릭합니다: **구성** 버튼을 찾습니다.
4. 선택 **HTTP POST** 를 SIEM 공급자로 사용합니다.
5. 다음 필드를 구성합니다:
   * **URL**: 1단계에서 생성한 HTTP 소스 URL을 입력합니다.
   * **HTTP 헤더 이름**: 입력 `Authorization`.
   * **HTTP 헤더 값**: 입력 `Bearer <토큰>`, 다음으로 바꿉니다 `<토큰>` 1단계에서 생성한 Bearer 토큰으로.
   * **요청 본문 형식**: 다음을 선택합니다: **NDJSON**.
6. 구성을 저장합니다.

Vercel의 사용자 지정 SIEM 로그 스트리밍 구성에 대한 자세한 지침은 다음에서 확인할 수 있습니다 [Vercel 감사 로그 문서](https://vercel.com/docs/audit-log#setup-process).

## 지원되는 로그 유형

### Vercel.Audit

Vercel 감사 로그는 Vercel 계정 전반의 팀 구성원 활동을 기록하며, 여기에는 프로젝트 관리, 배포 작업, 도메인 수정, 팀 멤버십 변경, 환경 변수 업데이트가 포함됩니다. 각 이벤트에는 작업을 수행한 행위자, IP 주소 및 사용자 에이전트와 같은 컨텍스트, 그리고 영향을 받는 대상 객체가 포함됩니다.

참조: [Vercel 감사 로그 문서](https://vercel.com/docs/audit-log)

```yaml
스키마: Vercel.Audit
설명: Vercel 감사 로그
참조 URL: https://vercel.com/docs/audit-log
fields:
  - 이름: action
    required: true
    설명: 특정 이벤트의 이름
    type: string
  - 이름: actor
    required: true
    type: object
    fields:
      - 이름: id
        설명: 이벤트를 담당한 팀 구성원의 사용자 ID
        type: string
        표시자:
          - 행위자 ID
      - 이름: metadata
        type: object
        fields:
          - 이름: email
            설명: 이벤트를 담당한 팀 구성원의 이메일 주소
            type: string
            표시자:
              - 이메일
      - 이름: name
        설명: 작업을 담당한 계정(보통 사용자 이름)
        type: string
        표시자:
          - 사용자명
      - 이름: type
        type: string
  - 이름: context
    required: true
    type: object
    fields:
      - 이름: location
        설명: 작업이 수행된 IP 주소
        type: string
        표시자:
          - ip
      - name: user_agent
        설명: 팀 구성원이 사용한 애플리케이션, OS, 공급업체 및/또는 브라우저 버전 세부 정보
        type: string
  - 이름: name
    type: string
  - name: occurred_at
    required: true
    설명: 이벤트가 발생한 시간과 날짜
    type: timestamp
    timeFormats:
      - rfc3339
    isEventTime: true
  - 이름: targets
    required: true
    type: array
    element:
      type: object
      fields:
        - 이름: id
          type: string
          표시자:
            - trace_id
        - 이름: metadata
          type: object
          fields:
            - 이름: _from
              type: string
            - 이름: alias
              type: string
              표시자:
                - domain
            - 이름: cns
              type: string
              표시자:
                - 호스트 이름
            - 이름: comment
              type: string
            - 이름: configurationId
              type: string
            - 이름: createdAt
              type: timestamp
              timeFormats:
                - unix
            - 이름: custom
              type: string
            - 이름: customEnvironmentIds
              type: string
            - 이름: deletedAt
              type: timestamp
              timeFormats:
                - unix
            - 이름: deploymentId
              type: string
            - 이름: domain
              type: string
              표시자:
                - domain
            - 이름: email
              type: string
              표시자:
                - 이메일
            - 이름: expiresAt
              type: timestamp
              timeFormats:
                - rfc3339
            - 이름: from
              type: string
            - 이름: integrationId
              type: string
            - 이름: issuedAt
              type: timestamp
              timeFormats:
                - unix
            - 이름: key
              type: string
            - 이름: members
              type: string
            - 이름: passwordProtection
              type: string
            - 이름: projectId
              type: string
            - 이름: redirect
              type: string
              표시자:
                - url
            - 이름: redirectStatusCode
              type: string
            - name: role
              type: string
            - 이름: slug
              type: string
            - 이름: source
              type: string
            - 이름: target
              type: string
              표시자:
                - 호스트 이름
            - 이름: to
              type: string
            - 이름: type
              type: string
            - 이름: updatedAt
              type: timestamp
              timeFormats:
                - unix
            - 이름: url
              type: string
              표시자:
                - url
            - 이름: username
              type: string
              표시자:
                - 사용자명
            - 이름: webAnalytics
              type: string
        - 이름: type
          type: string
  - 이름: version
    required: true
    type: string
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/data-onboarding/supported-logs/vercel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
